package com.example.scrolltest;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.ScrollView;

public class MainActivity extends AppCompatActivity {

    ScrollView scrollView=null;
    LinearLayout mainLayout=null;
    LinearLayout smallLayout=null;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        mainLayout=new LinearLayout(this);
        mainLayout.setOrientation(LinearLayout.VERTICAL);
        setContentView(mainLayout);
        scrollView=new ScrollView(this);
        mainLayout.addView(scrollView);

        LinearLayout.LayoutParams sparams=(LinearLayout.LayoutParams)scrollView.getLayoutParams();
        sparams.width=500;
        sparams.height=150;
        scrollView.setLayoutParams(sparams);
        smallLayout=new LinearLayout(this);
        scrollView.addView(smallLayout);

        Button bt1=new Button(this);
        bt1.setText("BT1");
        Button bt2=new Button(this);
        bt2.setText("BT2");
        smallLayout.addView(bt1);
        smallLayout.addView(bt2);

        LinearLayout.LayoutParams bparams=(LinearLayout.LayoutParams)bt1.getLayoutParams();
        bparams.height=300;
        bt1.setLayoutParams(bparams);

    }
}
